sidor
inställningar
block_1
employee_1
block_1
start
Osallistujat:
  • Emil
Viimeksi muokattu: 23.3.2023

API Endpoints

To get an idea of which endpoints are available for your application, we recommend going though the API-tester which can be found within the Easyweb API menu.


Token endpoint

The /connect/token endpoint should be used by the application to retrieve an access token.


Routes endpoint

The /routes/ endpoint should be used to retrieve data from routes. When a new page is created, a new routes endpoint is automatically generated.

For pages located on root level inside the pages module the endpoint will look like this:
/routes/:name-of-page

For pages located inside folders or custom module, the endpoint will include the folder tree or module, like so:
/routes/:name-of-folder/:name-of-page

This can go several levels deep:
/routes/:name-of-folder/:name-of-folder/:name-of-page


Requests

Routes requests return a response as an object which includes the following keys:

  • id (number)
  • label (string)
  • showDate (string)
  • urlName (string)
  • custom objects from elements inside specific route.


By default, custom objects within the response only include the value property of the element. This can be extended to include many properties by adding ?includeProperty=:name-of-property suffix to the request endpoint.

By default, the response does not include empty values. By adding the ?includeEmpty=True suffix we can retrieve empty values.

Example request:

GET
https://app.easyweb.se/extapi/1111/routes/pies

{
    label: "Pies!",
    urlname: "pies",
    id: 148557,
showDate: "2022-01-11T15:04:00+01:00",

    pies: [
        {
            label: "Potato pie",
            urlname: "potato-pie",
            id: 59837,
showDate: "2022-01-11T15:04:00+01:00"
        },
        {
            label: "Pumpkin pie",
            urlname: "pumpkin-pie",
            id: 59838
showDate: "2022-01-11T15:04:00+01:00"
        }
    ]
}

Whereas the key "pies" refers to an ArticleList.


Metadata endpoint

The /load/ endpoint should be used to retrieve meta information.

Requests

Routes requests return a response as an object. The endpoints that are guaranteed to exist are:

The /load/layout endpoint retrieves data from the layout article.

The /load/menu endpoint retrieves data from the defaulted "Menu" module.

The /load/settings endpoint retrieves data from the defaulted "Settings" module.

Easyweb icon

Tämä verkkosivusto käyttää evästeitä parantaakseen käyttökokemustasi, turvallisuustoimintoja varten ja tilastointiin. Jatkamalla verkkosivuston käyttöä hyväksyt evästeiden käytön.

Voit halutessasi lukea tietosuojakäytäntömme. Jos hyväksyt käyttömme, valitse Hyväksy kaikki. Jos haluat muuttaa valintaasi myöhemmin, löydät kyseisen vaihtoehdon sivun alareunasta.

Evästeet